package com.pannk.sys.user.service;

import com.pannk.sys.user.entity.SysUserEntity;

import java.util.List;
import java.util.Map;

/**
 * Created by wolf on 20-11-30.
 */
public interface SysUserService {

    /**
     * 查询用户列表
     *
     * @param filter 条件
     * @return
     */
    List<SysUserEntity> list(String filter);

    /**
     * 详情
     *
     * @param id id
     * @return
     */
    SysUserEntity detail(Long id);

    /**
     * 删除用户
     *
     * @param id id
     */
    void delete(Long id);


    /**
     * 批量删除
     *
     * @param ids ids
     */
    void batchDelete(Long[] ids);

    /**
     * 新增
     *
     * @param sysUserEntity 用户信息
     * @return
     */
    SysUserEntity save(SysUserEntity sysUserEntity);


    /**
     * 更新
     *
     * @param sysUserEntity
     * @return
     */
    SysUserEntity update(SysUserEntity sysUserEntity);
}
